{% include relBase.html %}
<div id="search-wrapper" class="search-wrapper">
  <div id="search-form" class="search-form">
    <input id="search-field" class="search-field" arial-label="Search for a post" type="text" placeholder="Search...">
    <span id="search-close" class="icon-remove-sign">
      <i class="fas fa-times fa-fw"></i>
    </span>

    <ul class="search-results search-list"></ul>
  </div>
</div>

<!-- Menu Open -> Fade effect -->
<div id="fade" class="overlay"></div>
<a id="slide" class="slideButton fade" {% if site.menu_trigger %}key-trigger="{{ site.menu_trigger }}"{% endif %}>
  <span id="open" class="icon-menu">
    <i class="fas fa-bars"></i>
  </span>
  <span id="close" class="icon-menu" style="display: none">
    <i class="fas fa-times"></i>
  </span>
</a>

<aside id="sidebar">
  <div id="topmenu">
    {% comment %}
    {% assign filename = page.url
                         | replace_first: '/', ''
                         | replace: '/', '-'
                         | replace: '.html', '.md' %}
    {% endcomment %}
    <ul>
      <li><span>1</span></li>
      {% if page.layout == 'post' %}
      <li><span>{{ page.path | split: '/' | last }}</span></li>
      {% else %}
      <li><span>{{ page.url }}</span></li>
      {% endif %}
      <li class="special"><span>&#8984; blogspace &lambda;</span></li>
      <li><span>* Menu</span></li>
    </ul>

    <ul>
      <li><span>utf-8</span></li>
      <li><span>web</span></li>
      <li class="special"><span>.html</span></li>
    </ul>
  </div>

  <nav id="navigation" role="navigation">
    {% for section in site.links %}
      <ul>
      {% for link in section[1] %}
        <li>
          <span class="counter-menu">{{ link.key_trigger }}</span>
          <span class="icon-arrow-menu">
            <i class="fas fa-arrow-right fa-fw"></i>
          </span>
          {% assign real_url = false %}
          {% if link.external %}
            {% assign real_url = link.url %}
          {% elsif link.url %}
            {% assign real_url = link.url | prepend: relBase %}
          {% endif %}

          <a {% if link.id %}id={{ link.id }}{% endif %} key-trigger={{ link.key_trigger }} {% if real_url %}href="{{ real_url }}"{% endif %} {% if link.newtab %} target="_blank" {% endif %}>{{ link.title }}</a>
        </li>
      {% endfor %}
      </ul>
    {% endfor %}
  </nav>
</aside>

<a id="search" class="dosearch" {% if site.search_trigger %}key-trigger="{{ site.search_trigger }}"{% endif %}>
  <span class="icon-menu icon-search">
    <i class="fas fa-search fa-fw"></i>
  </span>
</a>
